Subject: [PATCH 09/18] ASoC: sti: Update DT example to match the driver code

From: [email-masked] (Arnaud Pouliquen)
Date: Tue, 3 May 2016 17:46:00 +0200

On 04/26/2016 01:02 PM, Peter Griffin wrote:
> Hi Mark,
> 
> On Thu, 21 Apr 2016, Mark Brown wrote:
> 
>> On Thu, Apr 21, 2016 at 12:04:26PM +0100, Peter Griffin wrote:
>>> uniperiph-id, version and mode are ST specific bindings and
>>> need the 'st,' prefix. Update the examples, as otherwise copying
>>> them yields a runtime error parsing the DT node.
>>
>> I'm not sure what connection this or the other ASoC documentation update
>> have to the rest of the series?
> 
> The ASoC DT bindings are missing upstream as the ASoC driver depends on the
> fdma driver. So this series adds the fdma driver, fdma dt bindings,
> and also the missing ASoC dt bindings.
> 
> Whilst doing this and getting it working I noticed a few discrepencies
> in the ASoC dt binding documentation versus the driver so also fixed that.
> 
> Once this whole series is applied the end result is working
> audio upstream for STi platforms (as ASoC is the only upstream driver
> using fdma currently).

Hi Peter,
I also noticed the error in bindings, i'm planning to correct it with
DTS upstream for STI ASoC after FDMA has been accepted.
So if you estimate that it is simplier for FDMA upstream, you can drop
ASoC patches in you next version.

Regards,
Arnaud